#!/usr/bin/env python
# -*- coding: utf-8 -*-
# @Time     : 2025/5/28 15:32
# @Author   : songzb

PROMPT = """
#### 目标：
你作为domain资深客服，根据给定的访客与客服的对话历史，提取目标文本中的实体信息，实体抽取需要遵循以下的一些规则：
1.抽取的实体类别为：entity_type。
2.只抽取当前目标文本中的实体，历史对话中的实体不需要输出。
3.访客表达没有或者不是等否定意义的时候，那对应的实体则不需要输出。
4.尽可能从目标文本的原文种提取出信息，不要修改字段值的原文内容。


#### 步骤：
1. **历史信息分析**：仔细阅读并分析提供的对话历史。
2. **抽取实体信息**：结合对话历史，判断目标文本中是否存在满足需要抽取的实体类别的词。


#### 要求：
-你的输出格式必须为：output_format
-禁止输出原因，如果没有抽取到实体就直接输出”无“


### 举例说明：
例子1：
对话历史：
访客：全瓷牙套多少钱一颗
客服：您是想咨询【全瓷牙套多少钱一颗】的问题吗<sep>有什么问题吗？这边口腔科专家为您服务
访客：我想知道全瓷牙套的价格和流程做完后牙齿会自然吗我在上海这边大概多少钱一颗呢
客服：针对价格，我们有专门的报价系统，稍后系统查询后给您发送过去，方便您参考和对比哦<sep>您多大年龄呢？

目标文本：
我35了医生能查到上海的价格吗？北京呢？

输出：
年龄：35\n地址：上海,北京


#### 结果：
对话历史：
history

目标文本：
query

输出："""


PROMPT_grained_ner = """
#### 目标：
你作为domain资深客服，提取访客与客服的对话历史中访客文本中的实体信息，实体抽取需要遵循以下的一些规则：
1.抽取的实体类别为：entity_type。其中实体类别的意义和取值范围描述：describe。
2.抽取对话中全部访客文本中的实体，对话中客服文本中的实体不要输出。
3.访客表达没有或者不是等否定意义的时候，那对应的实体则不需要输出。
4.尽可能从目标文本的原文种提取出信息，不要修改字段值的原文内容。


#### 步骤：
1. **历史信息分析**：仔细阅读并分析提供的对话历史。
2. **抽取实体信息**：结合对话历史合理需要抽取的实体类别的词。


#### 要求：
-你的输出格式必须为：output_format
-禁止输出原因，如果没有抽取到实体就直接输出”无“


### 举例说明：
例子1：
对话历史：
访客：脱发严重是什么原因引起的
客服：脱发严重可能由遗传、内分泌失调、压力大、营养不良、疾病或药物副作用等多种因素引起。<sep>我们为您推荐热门项目，头顶加密种植：<sep>那您脱发多久了？<sep>是整体掉发吗还是局部脱发
访客：有一段时间<sep>整体掉发

输出：性别：无
年龄：无
症状：整体掉发
部位：整体
发生时间：无
持续时间：有一段时间
留联意愿：无
老用户：无
到院意愿：无

例子2：
对话历史：
访客：脱发严重是什么原因引起的
客服：脱发严重可能由遗传、内分泌失调、压力大、营养不良、疾病或药物副作用等多种因素引起。<sep>我们为您推荐热门项目，头顶加密种植：<sep>那您脱发多久了？<sep>是整体掉发吗还是局部脱发
访客：有一段时间<sep>整体掉发
客服：导致脱发的原因有很多，身体因素、激素分泌，遗传原因、疾病、药物治疗因素、先天因素、人为因素或者护理不当等等，都可以引起脱发，和平时的生活作息以及饮食习惯也有一定关系<sep>请问你是男性朋友还是女性朋友，多大年龄呢？
访客：女性朋友<sep>20

输出：性别：女
年龄：20
症状：整体掉发
部位：整体
发生时间：无
持续时间：有一段时间
留联意愿：无
老用户：无
到院意愿：无

例子3：
对话历史：
访客：脱发严重是什么原因引起的
客服：脱发严重可能由遗传、内分泌失调、压力大、营养不良、疾病或药物副作用等多种因素引起。<sep>我们为您推荐热门项目，头顶加密种植：<sep>那您脱发多久了？<sep>是整体掉发吗还是局部脱发
访客：有一段时间<sep>整体掉发
客服：导致脱发的原因有很多，身体因素、激素分泌，遗传原因、疾病、药物治疗因素、先天因素、人为因素或者护理不当等等，都可以引起脱发，和平时的生活作息以及饮食习惯也有一定关系<sep>请问你是男性朋友还是女性朋友，多大年龄呢？
访客：女性朋友<sep>20
客服：嗯，很年轻的<sep>这样吧，你有微信吗？我加你，帮你看看你头发情况，不严重的话我可以先给你发一些具体的防脱护发生发的饮食和注意事项给你，你可以先照着做看看效果
访客：好的，我上个月来过

输出：性别：女
年龄：20
症状：整体掉发
部位：整体
发生时间：无
持续时间：有一段时间
留联意愿：是
老用户：是
到院意愿：无


#### 结果：
对话历史：
history

输出：
"""
