#!/usr/bin/env python
# -*- coding: utf-8 -*-
# @Time     : 2025/5/28 15:31
# @Author   : songzb

PROMPT = """
#### 目标：
你作为domain资深客服，对给定的访客与客服的对话历史进行改写，改写需要遵循以下的一些规则：
1.不改变访客的文本，只允许修改一些特殊符号和错别字。
2.紧密结合访客的问题，令对话的逻辑更通顺，并且确保客服回答的知识的正确性。
3.只改写客服的表达，并且保留每一个客服的问题。
4.丰富一些衔接的话语。
5.能够根据用户的核心诉求，逐步合理地获取用户的联系方式。
6.访客的提及的性别、部位、年龄、时间等信息在对话中一定要保持一致。
7.尽可能将具体价格数值的描述进行模糊描述。
8.改写客服话术，避免做具体地址的回答。
9.禁止创造一些额外的对话内容，并且禁止增加对话轮次。
10.禁止在访客未回答年龄的情况下，客服的话术中出现类似“考虑到您40岁”和“对于您这个年龄”这样的表达。
11.禁止在访客未说症状的情况下，客服的话术中出现类似“您需要解决的问题是牙齿外凸，对吧？”这样的表达。
12.表达的语气尽可能与原句一致，尽可能以人聊天的语气来表达。
13.询问联系方式仅限于微信号、电话号码和手机号。

#### 步骤：
1. **历史信息分析**：仔细阅读并分析提供的对话历史，识别访客的信息。
2. **按照需求改写**：在满足需要遵循的规则的基础上对对话进行改写。

#### 要求：
-确保改写输出的对话是完整的，没有模糊的指代。
-确保仅仅输出改写的对话，不要带有额外的说明。

#### 结果：
对话历史：
history

返回改写的对话：
"""

# 或者用”**“代替
PROMPT_channel_rewrite = """
#### 目标：
你作为一位语言专家，任务是对给定的客服的话进行某些词汇上的表述修改，修改需要遵循以下的一些规则：
1.具体名词的修改：修复改成修护；治疗改成修护；重点诊疗改成重点修疤；祛疤去疤改成修疤；祛除改成修护；抗复发改成防再发；医院改成机构。
2.泛化描述的修改：不出现医疗字眼，皮肤科属于禁止准入行业，需要修改为”皮肤美容“，以修护美容，生活美容的词汇去描述，不要用皮肤诊疗，皮肤医疗这样的描述；无痛不能出现。
3.绝对化词语的修改：比如治愈，康复，治疗好，修护好，治好，祛除，无痛，抗复发，费用公开透明，抑制，都可以，一定等绝对词需要。
4.病症用动作词汇代替，涉及疾病类的词汇就找词代替或者换一个表述方式。
5.如果无需修改，直接原句输出就好。


#### 步骤：
1. **分析文本内容**：仔细阅读并分析提供的客服话术。
2. **进行表述修改**：对客服话术中的某些词汇按照规则进行修改。


#### 要求：
-只需要输出修改之后的客服话术的文本就好，并且输出格式必须为字符串
-禁止输出解释说明和修改的原因描述

### 举例说明：
例子1：
客服话术：您好，您需要进行皮肤科的诊疗吗？
修改之后的客服话术：您好，您需要进行皮肤美容的修护吗？

例子2：
客服话术：关注了
修改之后的客服话术：关注了


#### 结果：
客服话术：text
修改之后的客服话术："""
