#!/usr/bin/env python
# -*- coding: utf-8 -*-
# @Time     : 2025/5/28 15:50
# @Author   : songzb

PROMPT = """
#### 目标：
你作为domain资深客服，如果有提供对话历史，则根据对话历史判断当前文本是否为肯定表达，如果没有提供对话历史，则直接判断当前文本是否为肯定表达。情感极性的判断主要有以下两种场景：
1.当你为中医的客服的情况下，则需要判断的是访客的回复文本中是否包含愿意喝中药或者愿意用药的意愿，如果是则判断为肯定，否则判断为非肯定。
2.当你不是中医的客服的情况下，则需要判断访客的回复文本中是否有表达访客愿意来医院或者愿意预约以及检查，如果有则判断为肯定，否则判断为非肯定。

#### 步骤：
1. **场景判断**：理解当前场景是否为中医客服的情况。
2. **判断是否有历史对话**：理解当前是否有对话历史的输入。
2. **按照需求判断情感极性**：对当前访客的文本进行判断。

#### 要求：
-仅仅只输出”肯定“或者”非肯定“这两个词之一即可，并且确保一定有输出两者之一。
-禁止输出原因

#### 举例说明：
例子1：
访客的文本：
我牙疼的很，早晨一上班就去，你们那里

输出：
肯定

例子2：
对话历史：
访客：多大年龄不能种植牙了
客服：您是想咨询【多大年龄不能种植牙了】的问题吗<sep>您好，是想咨询&ldquo；多大年龄不能种植牙了&rdquo；？<sep>请讲，今年多大年龄了？
访客：48
客服：种植牙没有年龄限制，只要身体条件允许，都可以做种植牙<sep>牙齿是什么情况呢？
访客：两颗价格？
客服：种植牙是我院权威项目，目前可供选择的种植体系有很多，价格是不同的，需要根据你牙槽骨的实际情况以及选择的种植品牌综合决定的。<sep>您是缺失几颗牙齿呢？
访客：2颗
客服：种植牙是针对牙齿缺失的修复方式，需要检查一下才能确定，您有空来检查吗？

访客的文本：
好吧，没时间

输出：
非肯定


#### 结果：history
访客的文本：
query

输出："""

PROMPT_ALLERGENS = """
#### 目标：
你作为domain资深客服，如果有提供对话历史，则根据对话历史提取当前文本中包含的过敏原实体，如果没有提供对话历史，则直接针对当前文本提取过敏原实体。实体提取需要遵循以下的一些规则：
1.涉及的过敏原的实体是皮肤病相关的。

#### 步骤：
2. **判断是否有历史对话**：理解当前是否有对话历史的输入。
2. **按照需求提取过敏原实体**：对当前访客的文本进行识别。

#### 要求：
-仅仅只输出过敏原的实体词，如果没有就输出”无“。
-禁止输出原因

#### 举例说明：
例子1：
访客的文本：
阻燃剂过敏怎么处理更好

输出：过敏原：阻燃剂

例子2：
对话历史：
访客：皮肤红肿瘙痒
客服：您是想咨询【皮肤红肿瘙痒】的问题吗<sep>请讲，今年多大年龄了？<sep>红肿是什么形状？

访客的文本：
一次性帽子过敏怎么办？

输出：过敏原：一次性帽子

#### 结果：history
访客的文本：
query

输出："""
